Index: ./x11/pygtk/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/pygtk/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./x11/pygtk/buildlink3.mk	5 Feb 2006 23:11:41 -0000	1.3
+++ ./x11/pygtk/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	pygtk
 
 .if !empty(PY_GTK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pygtk+=	${PYPKGPREFIX}-gtk>=0.6.9nb4
-BUILDLINK_RECOMMENDED.pygtk+=	${PYPKGPREFIX}-gtk>=0.6.11nb2
+BUILDLINK_API_DEPENDS.pygtk+=	${PYPKGPREFIX}-gtk>=0.6.9nb4
+BUILDLINK_ABI_DEPENDS.pygtk+=	${PYPKGPREFIX}-gtk>=0.6.11nb2
 BUILDLINK_PKGSRCDIR.pygtk?=	../../x11/pygtk
 .endif	# PY_GTK_BUILDLINK3_MK
 
Index: ./x11/qt1/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/qt1/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./x11/qt1/buildlink3.mk	5 Feb 2006 23:11:41 -0000	1.4
+++ ./x11/qt1/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	qt1
 
 .if !empty(QT1_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.qt1+=		qt1>=1.44
-BUILDLINK_RECOMMENDED.qt1+=	qt1>=1.44nb3
+BUILDLINK_API_DEPENDS.qt1+=		qt1>=1.44
+BUILDLINK_ABI_DEPENDS.qt1+=	qt1>=1.44nb3
 BUILDLINK_PKGSRCDIR.qt1?=	../../x11/qt1
 
 BUILDLINK_PASSTHRU_DIRS=	${LOCALBASE}/qt1
Index: ./x11/qt2-designer/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/qt2-designer/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./x11/qt2-designer/buildlink3.mk	5 Feb 2006 23:11:42 -0000	1.4
+++ ./x11/qt2-designer/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	qt2-designer
 
 .if !empty(QT2_DESIGNER_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.qt2-designer+=	qt2-designer>=2.3.1nb2
-BUILDLINK_RECOMMENDED.qt2-designer+=	qt2-designer>=2.3.1nb5
+BUILDLINK_API_DEPENDS.qt2-designer+=	qt2-designer>=2.3.1nb2
+BUILDLINK_ABI_DEPENDS.qt2-designer+=	qt2-designer>=2.3.1nb5
 BUILDLINK_PKGSRCDIR.qt2-designer?=	../../x11/qt2-designer
 .endif	# QT2_DESIGNER_BUILDLINK3_MK
 
Index: ./x11/qt2-libs/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/qt2-libs/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./x11/qt2-libs/buildlink3.mk	5 Feb 2006 23:11:42 -0000	1.6
+++ ./x11/qt2-libs/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	qt2-libs
 
 .if !empty(QT2_LIBS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.qt2-libs+=	qt2-libs>=2.3.1nb2
-BUILDLINK_RECOMMENDED.qt2-libs+=	qt2-libs>=2.3.1nb8
+BUILDLINK_API_DEPENDS.qt2-libs+=	qt2-libs>=2.3.1nb2
+BUILDLINK_ABI_DEPENDS.qt2-libs+=	qt2-libs>=2.3.1nb8
 BUILDLINK_PKGSRCDIR.qt2-libs?=	../../x11/qt2-libs
 BUILDLINK_INCDIRS.qt2-libs=	qt2/include
 BUILDLINK_LIBDIRS.qt2-libs=	qt2/lib
Index: ./x11/qt3-libs/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/qt3-libs/buildlink3.mk,v
retrieving revision 1.11
diff -u -r1.11 buildlink3.mk
--- ./x11/qt3-libs/buildlink3.mk	17 Feb 2006 23:24:17 -0000	1.11
+++ ./x11/qt3-libs/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	qt3-libs
 
 .if !empty(QT3_LIBS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.qt3-libs+=	qt3-libs>=3.2.3
-BUILDLINK_RECOMMENDED.qt3-libs?=	qt3-libs>=3.3.5nb4
+BUILDLINK_API_DEPENDS.qt3-libs+=	qt3-libs>=3.2.3
+BUILDLINK_ABI_DEPENDS.qt3-libs?=	qt3-libs>=3.3.5nb4
 BUILDLINK_PKGSRCDIR.qt3-libs?=	../../x11/qt3-libs
 
 BUILDLINK_INCDIRS.qt3-libs+=	qt3/include
Index: ./x11/qt3-qscintilla/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/qt3-qscintilla/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./x11/qt3-qscintilla/buildlink3.mk	5 Feb 2006 23:11:42 -0000	1.4
+++ ./x11/qt3-qscintilla/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	qt3-qscintilla
 
 .if !empty(QT3_QSCINTILLA_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.qt3-qscintilla+=	qt3-qscintilla>=1.2
-BUILDLINK_RECOMMENDED.qt3-qscintilla+=	qt3-qscintilla>=1.6nb2
+BUILDLINK_API_DEPENDS.qt3-qscintilla+=	qt3-qscintilla>=1.2
+BUILDLINK_ABI_DEPENDS.qt3-qscintilla+=	qt3-qscintilla>=1.6nb2
 BUILDLINK_PKGSRCDIR.qt3-qscintilla?=	../../x11/qt3-qscintilla
 .endif	# QT3_QSCINTILLA_BUILDLINK3_MK
 
Index: ./x11/qt3-tools/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/qt3-tools/buildlink3.mk,v
retrieving revision 1.9
diff -u -r1.9 buildlink3.mk
--- ./x11/qt3-tools/buildlink3.mk	17 Feb 2006 23:26:26 -0000	1.9
+++ ./x11/qt3-tools/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	qt3-tools
 
 .if !empty(QT3_TOOLS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.qt3-tools+=	qt3-tools>=3.1.2nb3
-BUILDLINK_RECOMMENDED.qt3-tools+=	qt3-tools>=3.3.5nb3
+BUILDLINK_API_DEPENDS.qt3-tools+=	qt3-tools>=3.1.2nb3
+BUILDLINK_ABI_DEPENDS.qt3-tools+=	qt3-tools>=3.3.5nb3
 BUILDLINK_PKGSRCDIR.qt3-tools?=	../../x11/qt3-tools
 BUILDLINK_DEPMETHOD.qt3-tools?=	build
 .endif	# QT3_TOOLS_BUILDLINK3_MK
Index: ./x11/qt4-libs/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/qt4-libs/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./x11/qt4-libs/buildlink3.mk	25 Feb 2006 09:25:00 -0000	1.2
+++ ./x11/qt4-libs/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	qt4-libs
 
 .if !empty(QT4_LIBS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.qt4-libs+=	qt4-libs>=4.1.0
+BUILDLINK_API_DEPENDS.qt4-libs+=	qt4-libs>=4.1.0
 BUILDLINK_PKGSRCDIR.qt4-libs?=	../../x11/qt4-libs
 
 BUILDLINK_INCDIRS.qt4-libs+=	qt4/include
Index: ./x11/qt4-tools/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/qt4-tools/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./x11/qt4-tools/buildlink3.mk	20 Feb 2006 12:09:01 -0000	1.1.1.1
+++ ./x11/qt4-tools/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	qt4-tools
 
 .if !empty(QT4_TOOLS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.qt4-tools+=	qt4-tools>=4.1.0
+BUILDLINK_API_DEPENDS.qt4-tools+=	qt4-tools>=4.1.0
 BUILDLINK_PKGSRCDIR.qt4-tools?=	../../x11/qt4-tools
 BUILDLINK_DEPMETHOD.qt4-tools?=	build
 .endif	# QT4_TOOLS_BUILDLINK3_MK
Index: ./x11/randrext/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/randrext/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./x11/randrext/buildlink3.mk	5 Feb 2006 23:11:42 -0000	1.7
+++ ./x11/randrext/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	randrext
 
 .if !empty(RANDREXT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.randrext+=	randrext>=1.0
-BUILDLINK_RECOMMENDED.randrext?=	randrext>=1.0nb2
+BUILDLINK_API_DEPENDS.randrext+=	randrext>=1.0
+BUILDLINK_ABI_DEPENDS.randrext?=	randrext>=1.0nb2
 BUILDLINK_PKGSRCDIR.randrext?=	../../x11/randrext
 BUILDLINK_DEPMETHOD.randrext?=	build
 .endif	# RANDREXT_BUILDLINK3_MK
Index: ./x11/randrext/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/randrext/builtin.mk,v
retrieving revision 1.3
diff -u -r1.3 builtin.mk
--- ./x11/randrext/builtin.mk	1 Jun 2005 18:03:30 -0000	1.3
+++ ./x11/randrext/builtin.mk	4 Apr 2006 06:26:59 -0000
@@ -52,7 +52,7 @@
 .    if defined(BUILTIN_PKG.randrext) && \
         !empty(IS_BUILTIN.randrext:M[yY][eE][sS])
 USE_BUILTIN.randrext=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.randrext}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.randrext}
 .        if !empty(USE_BUILTIN.randrext:M[yY][eE][sS])
 USE_BUILTIN.randrext!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.randrext:Q}; then \
@@ -75,7 +75,7 @@
 .if !empty(CHECK_BUILTIN.randrext:M[nN][oO])
 
 .  if !empty(USE_BUILTIN.randrext:M[nN][oO])
-BUILDLINK_DEPENDS.randrext+=	randrext>=1.0
+BUILDLINK_API_DEPENDS.randrext+=	randrext>=1.0
 .  endif
 
 .  if !empty(USE_BUILTIN.randrext:M[yY][eE][sS])
Index: ./x11/renderext/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/renderext/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./x11/renderext/buildlink3.mk	15 Oct 2005 16:36:57 -0000	1.1.1.1
+++ ./x11/renderext/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	renderext
 
 .if !empty(RENDEREXT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.renderext+=	renderext>=0.9
+BUILDLINK_API_DEPENDS.renderext+=	renderext>=0.9
 BUILDLINK_PKGSRCDIR.renderext?=	../../x11/renderext
 BUILDLINK_DEPMETHOD.renderext?=	build
 .endif	# RENDEREXT_BUILDLINK3_MK
Index: ./x11/renderext/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/renderext/builtin.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 builtin.mk
--- ./x11/renderext/builtin.mk	15 Oct 2005 16:36:57 -0000	1.1.1.1
+++ ./x11/renderext/builtin.mk	4 Apr 2006 06:26:59 -0000
@@ -52,7 +52,7 @@
 .    if defined(BUILTIN_PKG.renderext) && \
         !empty(IS_BUILTIN.renderext:M[yY][eE][sS])
 USE_BUILTIN.renderext=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.renderext}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.renderext}
 .        if !empty(USE_BUILTIN.renderext:M[yY][eE][sS])
 USE_BUILTIN.renderext!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.renderext:Q}; then \
@@ -75,7 +75,7 @@
 .if !empty(CHECK_BUILTIN.renderext:M[nN][oO])
 
 .  if !empty(USE_BUILTIN.renderext:M[nN][oO])
-BUILDLINK_DEPENDS.renderext+=	renderext>=0.9
+BUILDLINK_API_DEPENDS.renderext+=	renderext>=0.9
 .  endif
 
 .  if !empty(USE_BUILTIN.renderext:M[yY][eE][sS])
Index: ./x11/startup-notification/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/startup-notification/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./x11/startup-notification/buildlink3.mk	5 Feb 2006 23:11:43 -0000	1.4
+++ ./x11/startup-notification/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	startup-notification
 
 .if !empty(STARTUP_NOTIFICATION_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.startup-notification+=	startup-notification>=0.5
-BUILDLINK_RECOMMENDED.startup-notification+=	startup-notification>=0.8nb1
+BUILDLINK_API_DEPENDS.startup-notification+=	startup-notification>=0.5
+BUILDLINK_ABI_DEPENDS.startup-notification+=	startup-notification>=0.8nb1
 BUILDLINK_PKGSRCDIR.startup-notification?=	../../x11/startup-notification
 .endif	# STARTUP_NOTIFICATION_BUILDLINK3_MK
 
Index: ./x11/tk/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/tk/buildlink3.mk,v
retrieving revision 1.16
diff -u -r1.16 buildlink3.mk
--- ./x11/tk/buildlink3.mk	5 Feb 2006 23:11:43 -0000	1.16
+++ ./x11/tk/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	tk
 
 .if !empty(TK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.tk+=		tk>=8.4.6nb1
-BUILDLINK_RECOMMENDED.tk+=	tk>=8.4.12nb1
+BUILDLINK_API_DEPENDS.tk+=		tk>=8.4.6nb1
+BUILDLINK_ABI_DEPENDS.tk+=	tk>=8.4.12nb1
 BUILDLINK_PKGSRCDIR.tk?=	../../x11/tk
 
 BUILDLINK_FILES.tk=	bin/wish*
Index: ./x11/tk-BWidget/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/tk-BWidget/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./x11/tk-BWidget/buildlink3.mk	5 Feb 2006 23:11:43 -0000	1.2
+++ ./x11/tk-BWidget/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -12,8 +12,8 @@
 BUILDLINK_PACKAGES+=	tk-BWidget
 
 .if !empty(TK_BWIDGET_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.tk-BWidget+=	tk-BWidget>=1.7.0
-BUILDLINK_RECOMMENDED.tk-BWidget?=	tk-BWidget>=1.7.0nb1
+BUILDLINK_API_DEPENDS.tk-BWidget+=	tk-BWidget>=1.7.0
+BUILDLINK_ABI_DEPENDS.tk-BWidget?=	tk-BWidget>=1.7.0nb1
 BUILDLINK_PKGSRCDIR.tk-BWidget?=	../../x11/tk-BWidget
 .endif	# TK_BWIDGET_BUILDLINK3_MK
 
Index: ./x11/tk83/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/tk83/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./x11/tk83/buildlink3.mk	5 Feb 2006 23:11:43 -0000	1.5
+++ ./x11/tk83/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	tk
 
 .if !empty(TK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.tk+=		tk-8.3.4*
-BUILDLINK_RECOMMENDED.tk?=	tk>=8.3.4nb2
+BUILDLINK_API_DEPENDS.tk+=		tk-8.3.4*
+BUILDLINK_ABI_DEPENDS.tk?=	tk>=8.3.4nb2
 BUILDLINK_PKGSRCDIR.tk?=	../../x11/tk83
 
 BUILDLINK_FILES.tk=	bin/wish*
Index: ./x11/vte/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/x11/vte/Makefile,v
retrieving revision 1.29
diff -u -r1.29 Makefile
--- ./x11/vte/Makefile	4 Mar 2006 21:31:11 -0000	1.29
+++ ./x11/vte/Makefile	4 Apr 2006 06:26:59 -0000
@@ -26,7 +26,7 @@
 PKGCONFIG_OVERRIDE+=    vte.pc.in
 
 # for FC_WIDTH
-BUILDLINK_DEPENDS.fontconfig+=      fontconfig>=2.1.93
+BUILDLINK_API_DEPENDS.fontconfig+=      fontconfig>=2.1.93
 
 .include "../../devel/glib2/buildlink3.mk"
 .include "../../devel/pango/buildlink3.mk"
Index: ./x11/vte/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/vte/buildlink3.mk,v
retrieving revision 1.9
diff -u -r1.9 buildlink3.mk
--- ./x11/vte/buildlink3.mk	5 Feb 2006 23:11:44 -0000	1.9
+++ ./x11/vte/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	vte
 
 .if !empty(VTE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.vte+=		vte>=0.11.11
-BUILDLINK_RECOMMENDED.vte+=	vte>=0.11.15nb2
+BUILDLINK_API_DEPENDS.vte+=		vte>=0.11.11
+BUILDLINK_ABI_DEPENDS.vte+=	vte>=0.11.15nb2
 BUILDLINK_PKGSRCDIR.vte?=	../../x11/vte
 .endif	# VTE_BUILDLINK3_MK
 
Index: ./x11/wxGTK/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/wxGTK/buildlink3.mk,v
retrieving revision 1.10
diff -u -r1.10 buildlink3.mk
--- ./x11/wxGTK/buildlink3.mk	5 Feb 2006 23:11:44 -0000	1.10
+++ ./x11/wxGTK/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	wxGTK
 
 .if !empty(WXGTK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.wxGTK+=	wxGTK>=2.6.0
-BUILDLINK_RECOMMENDED.wxGTK?=	wxGTK>=2.6.2nb2
+BUILDLINK_API_DEPENDS.wxGTK+=	wxGTK>=2.6.0
+BUILDLINK_ABI_DEPENDS.wxGTK?=	wxGTK>=2.6.2nb2
 BUILDLINK_PKGSRCDIR.wxGTK?=	../../x11/wxGTK
 .endif	# WXGTK_BUILDLINK3_MK
 
Index: ./x11/wxGTK-contrib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/wxGTK-contrib/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./x11/wxGTK-contrib/buildlink3.mk	5 Feb 2006 23:11:44 -0000	1.5
+++ ./x11/wxGTK-contrib/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	wxGTK-contrib
 
 .if !empty(WXGTK_CONTRIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.wxGTK-contrib+=	wxGTK-contrib>=2.6.0
-BUILDLINK_RECOMMENDED.wxGTK-contrib?=	wxGTK-contrib>=2.6.2nb2
+BUILDLINK_API_DEPENDS.wxGTK-contrib+=	wxGTK-contrib>=2.6.0
+BUILDLINK_ABI_DEPENDS.wxGTK-contrib?=	wxGTK-contrib>=2.6.2nb2
 BUILDLINK_PKGSRCDIR.wxGTK-contrib?=	../../x11/wxGTK-contrib
 
 .include "../../devel/zlib/buildlink3.mk"
Index: ./x11/wxGTK24/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/wxGTK24/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./x11/wxGTK24/buildlink3.mk	5 Feb 2006 23:11:44 -0000	1.3
+++ ./x11/wxGTK24/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	wxGTK24
 
 .if !empty(WXGTK24_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.wxGTK24+=	wxGTK24>=2.4.2
-BUILDLINK_RECOMMENDED.wxGTK24?=	wxGTK24>=2.4.2nb9
+BUILDLINK_API_DEPENDS.wxGTK24+=	wxGTK24>=2.4.2
+BUILDLINK_ABI_DEPENDS.wxGTK24?=	wxGTK24>=2.4.2nb9
 BUILDLINK_PKGSRCDIR.wxGTK24?=	../../x11/wxGTK24
 .endif	# WXGTK24_BUILDLINK3_MK
 
Index: ./x11/xcursor/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/x11/xcursor/Makefile,v
retrieving revision 1.18
diff -u -r1.18 Makefile
--- ./x11/xcursor/Makefile	4 Mar 2006 21:31:12 -0000	1.18
+++ ./x11/xcursor/Makefile	4 Apr 2006 06:26:59 -0000
@@ -21,7 +21,7 @@
 
 PKGCONFIG_OVERRIDE+=    xcursor.pc.in
 
-BUILDLINK_DEPENDS.Xrender+=	Xrender>=0.8
+BUILDLINK_API_DEPENDS.Xrender+=	Xrender>=0.8
 
 .include "../../x11/Xfixes/buildlink3.mk"
 .include "../../x11/Xrender/buildlink3.mk"
Index: ./x11/xcursor/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/xcursor/buildlink3.mk,v
retrieving revision 1.16
diff -u -r1.16 buildlink3.mk
--- ./x11/xcursor/buildlink3.mk	5 Feb 2006 23:11:45 -0000	1.16
+++ ./x11/xcursor/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xcursor
 
 .if !empty(XCURSOR_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xcursor+=	xcursor>=1.0
-BUILDLINK_RECOMMENDED.xcursor+=	xcursor>=1.1.2nb1
+BUILDLINK_API_DEPENDS.xcursor+=	xcursor>=1.0
+BUILDLINK_ABI_DEPENDS.xcursor+=	xcursor>=1.1.2nb1
 BUILDLINK_PKGSRCDIR.xcursor?=	../../x11/xcursor
 .endif	# XCURSOR_BUILDLINK3_MK
 
Index: ./x11/xcursor/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/xcursor/builtin.mk,v
retrieving revision 1.10
diff -u -r1.10 builtin.mk
--- ./x11/xcursor/builtin.mk	4 Dec 2005 01:46:45 -0000	1.10
+++ ./x11/xcursor/builtin.mk	4 Apr 2006 06:26:59 -0000
@@ -57,7 +57,7 @@
 .    if defined(BUILTIN_PKG.xcursor) && \
         !empty(IS_BUILTIN.xcursor:M[yY][eE][sS])
 USE_BUILTIN.xcursor=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.xcursor}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.xcursor}
 .        if !empty(USE_BUILTIN.xcursor:M[yY][eE][sS])
 USE_BUILTIN.xcursor!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.xcursor:Q}; then \
@@ -80,8 +80,8 @@
 .if !empty(CHECK_BUILTIN.xcursor:M[nN][oO])
 
 .  if !empty(USE_BUILTIN.xcursor:M[nN][oO])
-BUILDLINK_DEPENDS.xcursor+=	xcursor>=1.1.1
-BUILDLINK_DEPENDS.Xrender+=	Xrender>=0.8
+BUILDLINK_API_DEPENDS.xcursor+=	xcursor>=1.1.1
+BUILDLINK_API_DEPENDS.Xrender+=	Xrender>=0.8
 .    for _mkfile_ in buildlink3.mk builtin.mk
 BUILDLINK_DEPTH:=	${BUILDLINK_DEPTH}+
 .      sinclude "../../x11/Xfixes/${_mkfile_}"
Index: ./x11/xextensions/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/xextensions/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./x11/xextensions/buildlink3.mk	8 May 2004 21:57:04 -0000	1.2
+++ ./x11/xextensions/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -14,7 +14,7 @@
 BUILDLINK_PACKAGES+=	xextensions
 
 .if !empty(XEXTENSIONS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xextensions?=		xextensions>=1.0
+BUILDLINK_API_DEPENDS.xextensions?=		xextensions>=1.0
 BUILDLINK_PKGSRCDIR.xextensions?=	../../x11/xextensions
 BUILDLINK_DEPMETHOD.xextensions?=	build
 .endif # XEXTENSIONS_BUILDLINK3_MK
Index: ./x11/xextensions/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/xextensions/builtin.mk,v
retrieving revision 1.8
diff -u -r1.8 builtin.mk
--- ./x11/xextensions/builtin.mk	9 Oct 2005 21:43:02 -0000	1.8
+++ ./x11/xextensions/builtin.mk	4 Apr 2006 06:26:59 -0000
@@ -37,7 +37,7 @@
 .    if defined(BUILTIN_PKG.xextensions) && \
         !empty(IS_BUILTIN.xextensions:M[yY][eE][sS])
 USE_BUILTIN.xextensions=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.xextensions}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.xextensions}
 .        if !empty(USE_BUILTIN.xextensions:M[yY][eE][sS])
 USE_BUILTIN.xextensions!=						\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.xextensions:Q}; then \
Index: ./x11/xfce4-clipman-plugin/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/xfce4-clipman-plugin/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./x11/xfce4-clipman-plugin/buildlink3.mk	17 Feb 2006 06:49:26 -0000	1.8
+++ ./x11/xfce4-clipman-plugin/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xfce4-clipman-plugin
 
 .if !empty(XFCE4_CLIPMAN_PLUGIN_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xfce4-clipman-plugin+=	xfce4-clipman-plugin>=0.4.1
-BUILDLINK_RECOMMENDED.xfce4-clipman-plugin?=	xfce4-clipman-plugin>=0.4.1nb2
+BUILDLINK_API_DEPENDS.xfce4-clipman-plugin+=	xfce4-clipman-plugin>=0.4.1
+BUILDLINK_ABI_DEPENDS.xfce4-clipman-plugin?=	xfce4-clipman-plugin>=0.4.1nb2
 BUILDLINK_PKGSRCDIR.xfce4-clipman-plugin?=	../../x11/xfce4-clipman-plugin
 .endif	# XFCE4_CLIPMAN_PLUGIN_BUILDLINK3_MK
 
Index: ./x11/xfce4-desktop/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/xfce4-desktop/buildlink3.mk,v
retrieving revision 1.12
diff -u -r1.12 buildlink3.mk
--- ./x11/xfce4-desktop/buildlink3.mk	17 Feb 2006 06:49:26 -0000	1.12
+++ ./x11/xfce4-desktop/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xfce4-desktop
 
 .if !empty(XFCE4_DESKTOP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xfce4-desktop+=	xfce4-desktop>=4.2.3
-BUILDLINK_RECOMMENDED.xfce4-desktop?=	xfce4-desktop>=4.2.3nb2
+BUILDLINK_API_DEPENDS.xfce4-desktop+=	xfce4-desktop>=4.2.3
+BUILDLINK_ABI_DEPENDS.xfce4-desktop?=	xfce4-desktop>=4.2.3nb2
 BUILDLINK_PKGSRCDIR.xfce4-desktop?=	../../x11/xfce4-desktop
 .endif	# XFCE4_DESKTOP_BUILDLINK3_MK
 
Index: ./x11/xfce4-gtk2-engine/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/xfce4-gtk2-engine/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./x11/xfce4-gtk2-engine/buildlink3.mk	17 Feb 2006 06:49:26 -0000	1.4
+++ ./x11/xfce4-gtk2-engine/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xfce4-gtk2-engine
 
 .if !empty(XFCE4_GTK2_ENGINE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xfce4-gtk2-engine+=	xfce4-gtk2-engine>=2.2.8
-BUILDLINK_RECOMMENDED.xfce4-gtk2-engine?=	xfce4-gtk2-engine>=2.2.8nb2
+BUILDLINK_API_DEPENDS.xfce4-gtk2-engine+=	xfce4-gtk2-engine>=2.2.8
+BUILDLINK_ABI_DEPENDS.xfce4-gtk2-engine?=	xfce4-gtk2-engine>=2.2.8nb2
 BUILDLINK_PKGSRCDIR.xfce4-gtk2-engine?=	../../x11/xfce4-gtk2-engine
 .endif	# XFCE4_GTK2_ENGINE_BUILDLINK3_MK
 
Index: ./x11/xfce4-mcs-manager/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/xfce4-mcs-manager/buildlink3.mk,v
retrieving revision 1.11
diff -u -r1.11 buildlink3.mk
--- ./x11/xfce4-mcs-manager/buildlink3.mk	17 Feb 2006 06:49:26 -0000	1.11
+++ ./x11/xfce4-mcs-manager/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xfce4-mcs-manager
 
 .if !empty(XFCE4_MCS_MANAGER_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xfce4-mcs-manager+=	xfce4-mcs-manager>=4.2.3
-BUILDLINK_RECOMMENDED.xfce4-mcs-manager?=	xfce4-mcs-manager>=4.2.3nb2
+BUILDLINK_API_DEPENDS.xfce4-mcs-manager+=	xfce4-mcs-manager>=4.2.3
+BUILDLINK_ABI_DEPENDS.xfce4-mcs-manager?=	xfce4-mcs-manager>=4.2.3nb2
 BUILDLINK_PKGSRCDIR.xfce4-mcs-manager?=	../../x11/xfce4-mcs-manager
 .endif	# XFCE4_MCS_MANAGER_BUILDLINK3_MK
 
Index: ./x11/xfce4-mcs-plugins/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/xfce4-mcs-plugins/buildlink3.mk,v
retrieving revision 1.11
diff -u -r1.11 buildlink3.mk
--- ./x11/xfce4-mcs-plugins/buildlink3.mk	17 Feb 2006 06:49:26 -0000	1.11
+++ ./x11/xfce4-mcs-plugins/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xfce4-mcs-plugins
 
 .if !empty(XFCE4_MCS_PLUGINS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xfce4-mcs-plugins+=	xfce4-mcs-plugins>=4.2.3
-BUILDLINK_RECOMMENDED.xfce4-mcs-plugins?=	xfce4-mcs-plugins>=4.2.3nb2
+BUILDLINK_API_DEPENDS.xfce4-mcs-plugins+=	xfce4-mcs-plugins>=4.2.3
+BUILDLINK_ABI_DEPENDS.xfce4-mcs-plugins?=	xfce4-mcs-plugins>=4.2.3nb2
 BUILDLINK_PKGSRCDIR.xfce4-mcs-plugins?=	../../x11/xfce4-mcs-plugins
 .endif	# XFCE4_MCS_PLUGINS_BUILDLINK3_MK
 
Index: ./x11/xfce4-notes-plugin/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/xfce4-notes-plugin/buildlink3.mk,v
retrieving revision 1.9
diff -u -r1.9 buildlink3.mk
--- ./x11/xfce4-notes-plugin/buildlink3.mk	17 Feb 2006 06:49:26 -0000	1.9
+++ ./x11/xfce4-notes-plugin/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xfce4-notes-plugin
 
 .if !empty(XFCE4_NOTES_PLUGIN_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xfce4-notes-plugin+=	xfce4-notes-plugin>=0.11.1
-BUILDLINK_RECOMMENDED.xfce4-notes-plugin?=	xfce4-notes-plugin>=0.11.1nb2
+BUILDLINK_API_DEPENDS.xfce4-notes-plugin+=	xfce4-notes-plugin>=0.11.1
+BUILDLINK_ABI_DEPENDS.xfce4-notes-plugin?=	xfce4-notes-plugin>=0.11.1nb2
 BUILDLINK_PKGSRCDIR.xfce4-notes-plugin?=	../../x11/xfce4-notes-plugin
 .endif	# XFCE4_NOTES_PLUGIN_BUILDLINK3_MK
 
Index: ./x11/xfce4-panel/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/xfce4-panel/buildlink3.mk,v
retrieving revision 1.12
diff -u -r1.12 buildlink3.mk
--- ./x11/xfce4-panel/buildlink3.mk	17 Feb 2006 06:49:26 -0000	1.12
+++ ./x11/xfce4-panel/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xfce4-panel
 
 .if !empty(XFCE4_PANEL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xfce4-panel+=	xfce4-panel>=4.2.3
-BUILDLINK_RECOMMENDED.xfce4-panel?=	xfce4-panel>=4.2.3nb2
+BUILDLINK_API_DEPENDS.xfce4-panel+=	xfce4-panel>=4.2.3
+BUILDLINK_ABI_DEPENDS.xfce4-panel?=	xfce4-panel>=4.2.3nb2
 BUILDLINK_PKGSRCDIR.xfce4-panel?=	../../x11/xfce4-panel
 .endif	# XFCE4_PANEL_BUILDLINK3_MK
 
Index: ./x11/xfce4-session/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/xfce4-session/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./x11/xfce4-session/buildlink3.mk	17 Feb 2006 06:49:26 -0000	1.7
+++ ./x11/xfce4-session/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xfce4-session
 
 .if !empty(XFCE4_SESSION_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xfce4-session+=	xfce4-session>=4.2.3
-BUILDLINK_RECOMMENDED.xfce4-session?=	xfce4-session>=4.2.3nb2
+BUILDLINK_API_DEPENDS.xfce4-session+=	xfce4-session>=4.2.3
+BUILDLINK_ABI_DEPENDS.xfce4-session?=	xfce4-session>=4.2.3nb2
 BUILDLINK_PKGSRCDIR.xfce4-session?=	../../x11/xfce4-session
 .endif	# XFCE4_SESSION_BUILDLINK3_MK
 
Index: ./x11/xfce4-taskbar-plugin/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/xfce4-taskbar-plugin/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./x11/xfce4-taskbar-plugin/buildlink3.mk	17 Feb 2006 06:49:26 -0000	1.7
+++ ./x11/xfce4-taskbar-plugin/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xfce4-taskbar-plugin
 
 .if !empty(XFCE4_TASKBAR_PLUGIN_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xfce4-taskbar-plugin+=	xfce4-taskbar-plugin>=0.2.2
-BUILDLINK_RECOMMENDED.xfce4-taskbar-plugin?=	xfce4-taskbar-plugin>=0.2.2nb2
+BUILDLINK_API_DEPENDS.xfce4-taskbar-plugin+=	xfce4-taskbar-plugin>=0.2.2
+BUILDLINK_ABI_DEPENDS.xfce4-taskbar-plugin?=	xfce4-taskbar-plugin>=0.2.2nb2
 BUILDLINK_PKGSRCDIR.xfce4-taskbar-plugin?=	../../x11/xfce4-taskbar-plugin
 .endif	# XFCE4_TASKBAR_PLUGIN_BUILDLINK3_MK
 
Index: ./x11/xfce4-toys/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/xfce4-toys/buildlink3.mk,v
retrieving revision 1.11
diff -u -r1.11 buildlink3.mk
--- ./x11/xfce4-toys/buildlink3.mk	17 Feb 2006 06:49:26 -0000	1.11
+++ ./x11/xfce4-toys/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xfce4-toys
 
 .if !empty(XFCE4_TOYS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xfce4-toys+=	xfce4-toys>=4.2.3
-BUILDLINK_RECOMMENDED.xfce4-toys?=	xfce4-toys>=4.2.3nb2
+BUILDLINK_API_DEPENDS.xfce4-toys+=	xfce4-toys>=4.2.3
+BUILDLINK_ABI_DEPENDS.xfce4-toys?=	xfce4-toys>=4.2.3nb2
 BUILDLINK_PKGSRCDIR.xfce4-toys?=	../../x11/xfce4-toys
 .endif	# XFCE4_TOYS_BUILDLINK3_MK
 
Index: ./x11/xfce4-trigger-launcher/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/xfce4-trigger-launcher/buildlink3.mk,v
retrieving revision 1.12
diff -u -r1.12 buildlink3.mk
--- ./x11/xfce4-trigger-launcher/buildlink3.mk	17 Feb 2006 06:49:26 -0000	1.12
+++ ./x11/xfce4-trigger-launcher/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xfce4-trigger-launcher
 
 .if !empty(XFCE4_TRIGGER_LAUNCHER_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xfce4-trigger-launcher+=	xfce4-trigger-launcher>=4.2.3
-BUILDLINK_RECOMMENDED.xfce4-trigger-launcher?=	xfce4-trigger-launcher>=4.2.3nb2
+BUILDLINK_API_DEPENDS.xfce4-trigger-launcher+=	xfce4-trigger-launcher>=4.2.3
+BUILDLINK_ABI_DEPENDS.xfce4-trigger-launcher?=	xfce4-trigger-launcher>=4.2.3nb2
 BUILDLINK_PKGSRCDIR.xfce4-trigger-launcher?=	../../x11/xfce4-trigger-launcher
 .endif	# XFCE4_TRIGGER_LAUNCHER_BUILDLINK3_MK
 
Index: ./x11/xfce4-utils/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/xfce4-utils/buildlink3.mk,v
retrieving revision 1.14
diff -u -r1.14 buildlink3.mk
--- ./x11/xfce4-utils/buildlink3.mk	20 Mar 2006 06:29:09 -0000	1.14
+++ ./x11/xfce4-utils/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xfce4-utils
 
 .if !empty(XFCE4_UTILS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xfce4-utils+=	xfce4-utils>=4.2.3
-BUILDLINK_RECOMMENDED.xfce4-utils?=	xfce4-utils>=4.2.3nb3
+BUILDLINK_API_DEPENDS.xfce4-utils+=	xfce4-utils>=4.2.3
+BUILDLINK_ABI_DEPENDS.xfce4-utils?=	xfce4-utils>=4.2.3nb3
 BUILDLINK_PKGSRCDIR.xfce4-utils?=	../../x11/xfce4-utils
 .endif	# XFCE4_UTILS_BUILDLINK3_MK
 
Index: ./x11/xfce4-windowlist-plugin/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/xfce4-windowlist-plugin/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./x11/xfce4-windowlist-plugin/buildlink3.mk	17 Feb 2006 06:49:26 -0000	1.5
+++ ./x11/xfce4-windowlist-plugin/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xfce4-windowlist-plugin
 
 .if !empty(XFCE4_WINDOWLIST_PLUGIN_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xfce4-windowlist-plugin+=	xfce4-windowlist-plugin>=0.1.0nb1
-BUILDLINK_RECOMMENDED.xfce4-windowlist-plugin?=	xfce4-windowlist-plugin>=0.1.0nb3
+BUILDLINK_API_DEPENDS.xfce4-windowlist-plugin+=	xfce4-windowlist-plugin>=0.1.0nb1
+BUILDLINK_ABI_DEPENDS.xfce4-windowlist-plugin?=	xfce4-windowlist-plugin>=0.1.0nb3
 BUILDLINK_PKGSRCDIR.xfce4-windowlist-plugin?=	../../x11/xfce4-windowlist-plugin
 .endif	# XFCE4_WINDOWLIST_PLUGIN_BUILDLINK3_MK
 
Index: ./x11/xforms/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/xforms/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./x11/xforms/buildlink3.mk	5 Feb 2006 23:11:47 -0000	1.3
+++ ./x11/xforms/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xforms
 
 .if !empty(XFORMS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xforms+=	xforms>=1.0nb2
-BUILDLINK_RECOMMENDED.xforms+=	xforms>=1.0nb5
+BUILDLINK_API_DEPENDS.xforms+=	xforms>=1.0nb2
+BUILDLINK_ABI_DEPENDS.xforms+=	xforms>=1.0nb5
 BUILDLINK_PKGSRCDIR.xforms?=	../../x11/xforms
 .endif	# XFORMS_BUILDLINK3_MK
 
